> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Paycard Onboarding Status Event (Early Access)

> POSTs request when Paycard Onboarding is shown to a worker.

POSTs request when Paycard Onboarding is shown to a worker.

This endpoint specifies what will be sent to your Paycard Onboarding Status Webhook. Zeal POSTs a request containing the paycard status for a worker during their paycard onboarding. You can update and test the webhook URL you want Zeal to hit on the 'API' Page of the Zeal Dashboard.

## Request Body

| attribute | type | description |
| - | - | - |
| test | boolean | Whether the Event was created/updated/deleted in Test Mode |
| companyID | string | Zeal `companyID` of Employer |
| employeeID | string | Zeal `employeeID` of worker (if the worker is of type Employee) |
| contractorID | string | Zeal `contractorID` of worker (if the worker is of type Contractor) |
| first\_name | string | First name of Worker |
| last\_name | string | Last name of Worker |
| business\_name | string | Business Name |
| status | string | Holds one of the following values:`requested``declined``provisioned` |
| timestamp | datetime | |

***

## Returns

Doesn't return anything but rather POSTs a request with the Paycard update to your webhook URL.

***

## Raw Content Example

```json theme={null}
{
  "test": true,
  "companyID": "1234ae8a477346e6900741c5301f1cc8",
  "employeeID": "123ebd7dba526b6b852048f5",
  "first_name": "Erlich",
  "last_name": "Bachman",
  "business_name": "Test Company",
  "status": "requested",
  "timestamp": "2024-01-21T21:29:42Z"
}
```

```json theme={null}
{
  "test": true,
  "companyID": "1234ae8a477346e6900741c5301f1cc8",
  "employeeID": "123ebd7dba526b6b852048f5",
  "first_name": "Erlich",
  "last_name": "Bachman",
  "business_name": "Test Company",
  "status": "declined",
  "timestamp": "2024-01-21T21:29:42Z"
}
```

```json theme={null}
{
  "test": true,
  "companyID": "1234ae8a477346e6900741c5301f1cc8",
  "employeeID": "123ebd7dba526b6b852048f5",
  "first_name": "Erlich",
  "last_name": "Bachman",
  "business_name": "Test Company",
  "status": "provisioned",
  "timestamp": "2024-01-21T21:29:42Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.